WIMAX_DEV_RM(9)

NAME
wimax_dev_rm - Unregister an existing WiMAX device

SYNOPSIS

void wimax_dev_rm(struct wimax_dev * wimax_dev);

ARGUMENTS

wimax_dev
    WiMAX device descriptor

DESCRIPTION

Unregisters a WiMAX device previously registered for use with wimax_add_rm.

IMPORTANT! Must call before calling unregister_netdev.

After this function returns, you will not get any more user space control requests (via netlink or debugfs) and thus to wimax_dev->ops.

Reentrancy control is ensured by setting the state to __WIMAX_ST_QUIESCING. rfkill operations coming through wimax_*rfkill*() will be stopped by the quiescing state; ops coming from the rfkill subsystem will be stopped by the support being removed by wimax_rfkill_rm.

COPYRIGHT